Skip to main content
GET
Retrieve a partner reward link

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-02-2"

Query Parameters

partner_username
string
required

Username from the partner link's a query parameter.

reward_slug
string
required

Reward slug from the partner link's reward query parameter.

Response

reward link verified

expires_at
string | null
required

When the reward stops accepting new claims and qualifying volume, as an ISO 8601 timestamp. Null when it does not expire.

id
string
required

Onboarding reward ID, prefixed onbr_.

Example:

"onbr_xxxxxxxxxxxxxx"

partner
object
required

Partner whose link attributed this reward.

qualification_amount
object | null
required

Required qualifying volume. Null for an immediate reward.

qualification_income_source
enum<string> | null
required

Income source whose volume qualifies the business. Null for an immediate reward.

Available options:
sales,
ad_spend,
null
Example:

"sales"

qualification_met
boolean | null
required

Whether the attributed business met the requirement. Null before a business claims the link.

qualification_progress
object | null
required

Qualifying volume accumulated by the attributed business. Null before a business claims the link and for immediate rewards.

reward_amount
object
required

Reward value delivered after qualification.

reward_type
enum<string>
required

How the reward is delivered.

Available options:
ad_credit,
balance_credit
Example:

"balance_credit"

rewarded
boolean | null
required

Whether the reward was credited to the attributed business. Null before a business claims the link.

status
enum<string>
required

Whether the reward can still be claimed: available, fully_claimed, expired, or unavailable.

Available options:
available,
fully_claimed,
expired,
unavailable
Example:

"available"